* [gentoo-commits] repo/gentoo:master commit in: dev-util/debugedit/files/
@ 2016-11-09 10:08 Lars Wendler
0 siblings, 0 replies; 3+ messages in thread
From: Lars Wendler @ 2016-11-09 10:08 UTC (permalink / raw
To: gentoo-commits
commit: e9c2acd3fdd4e239c3d78b289351a263628c2d74
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 9 10:06:46 2016 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Nov 9 10:06:46 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9c2acd3
dev-util/debugedit: Added some checks to the update script.
Package-Manager: portage-2.3.2
dev-util/debugedit/files/update.sh | 17 +++++++++++++++--
1 file changed, 15 insertions(+), 2 deletions(-)
diff --git a/dev-util/debugedit/files/update.sh b/dev-util/debugedit/files/update.sh
index db5495d..3fed29a 100755
--- a/dev-util/debugedit/files/update.sh
+++ b/dev-util/debugedit/files/update.sh
@@ -1,9 +1,22 @@
#!/bin/bash
-DISTDIR=/usr/portage/distfiles
+DISTDIR="$(portageq envvar DISTDIR 2>/dev/null)"
+DISTDIR="${DISTDIR:-/usr/portage/distfiles}"
+if [[ ! -d "${DISTDIR}" ]] ; then
+ echo "No DISTDIR found."
+ exit 1
+fi
+
PN=debugedit
-. /etc/init.d/functions.sh
+gentoo_functions="/lib/gentoo/functions.sh"
+if [[ -f "${gentoo_functions}" ]] ; then
+ . "${gentoo_functions}"
+else
+ echo "Failed to source ${gentoo_functions} file."
+ echo "Please install sys-apps/gentoo-functions package."
+ exit 1
+fi
set -e
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-util/debugedit/files/
@ 2017-10-20 7:45 Patrice Clement
0 siblings, 0 replies; 3+ messages in thread
From: Patrice Clement @ 2017-10-20 7:45 UTC (permalink / raw
To: gentoo-commits
commit: 648de4a2dda814d0b908d1966ce0a66eae15c648
Author: Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Tue Oct 10 13:12:54 2017 +0000
Commit: Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Oct 20 07:45:04 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=648de4a2
dev-util/debugedit: remove unused file.
dev-util/debugedit/files/Makefile | 11 -----------
1 file changed, 11 deletions(-)
diff --git a/dev-util/debugedit/files/Makefile b/dev-util/debugedit/files/Makefile
deleted file mode 100644
index 946a12865f6..00000000000
--- a/dev-util/debugedit/files/Makefile
+++ /dev/null
@@ -1,11 +0,0 @@
-CPPFLAGS += -I.
-LDLIBS = -lelf -lpopt -lbeecrypt
-
-all: debugedit
-
-debugedit: debugedit.o hashtab.o
-
-clean:
- rm -f *.o debugedit
-
-.PHONY: clean
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-util/debugedit/files/
@ 2018-09-19 22:25 Michał Górny
0 siblings, 0 replies; 3+ messages in thread
From: Michał Górny @ 2018-09-19 22:25 UTC (permalink / raw
To: gentoo-commits
commit: fabfe2034914e1390f3d52d1e0992e6524ceb56b
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 19 22:23:22 2018 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 19 22:25:36 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fabfe203
dev-util/debugedit: Remove obsolete updater script
We are now using upstream tarballs, so the script is no longer relevant.
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-util/debugedit/files/update.sh | 84 --------------------------------------
1 file changed, 84 deletions(-)
diff --git a/dev-util/debugedit/files/update.sh b/dev-util/debugedit/files/update.sh
deleted file mode 100755
index 3fed29ad6dc..00000000000
--- a/dev-util/debugedit/files/update.sh
+++ /dev/null
@@ -1,84 +0,0 @@
-#!/bin/bash
-
-DISTDIR="$(portageq envvar DISTDIR 2>/dev/null)"
-DISTDIR="${DISTDIR:-/usr/portage/distfiles}"
-if [[ ! -d "${DISTDIR}" ]] ; then
- echo "No DISTDIR found."
- exit 1
-fi
-
-PN=debugedit
-
-gentoo_functions="/lib/gentoo/functions.sh"
-if [[ -f "${gentoo_functions}" ]] ; then
- . "${gentoo_functions}"
-else
- echo "Failed to source ${gentoo_functions} file."
- echo "Please install sys-apps/gentoo-functions package."
- exit 1
-fi
-
-set -e
-
-einfo "Getting updated index"
-rm -f index.html
-wget -q http://rpm5.org/
-
-PV=$(sed -n '/Production:/{n;s:.*RPM ::;s:<.*::;p;q}' index.html)
-einfo "Latest upstream version: ${PV}"
-rm -f index.html
-
-P="${PN}-${PV}"
-A=${P}.tar.bz2
-
-e=${P}.ebuild
-if [[ -e ../${e} ]] ; then
- einfo "All up to date"
- exit 0
-fi
-
-#tf=${DISTDIR}/${A}
-#if [[ ! -e ${tf} ]] ; then
-# einfo "Cannot find ${tf}"
-# exit 0
-#fi
-
-einfo "Fetching latest rpm tarball"
-r=rpm-${PV}
-wget -nv http://rpm5.org/files/rpm/rpm-${PV%.*}/${r}.tar.gz -P ${DISTDIR} -c
-
-einfo "Unpacking ${r}"
-rm -rf ${r}
-tar xf ${DISTDIR}/${r}.tar.gz
-
-einfo "Creating ${P}"
-rm -rf ${P}
-mkdir ${P}
-cp Makefile ${r}/tools/{hashtab.?,debugedit.c} ${P}/
-pushd ${P} >/dev/null
-more=true
-while ${more} ; do
- more=false
- for h in $(grep '#include' *.[ch] | awk '{print $NF}' | sed 's:[<>"]::g') ; do
- [[ ${h} == */* ]] && continue
- rh=$(find ../${r} -name ${h##*/})
- if [[ -n ${rh} ]] && [[ ! -e ${rh##*/} ]] ; then
- # don't copy glibc includes
- if ! grep -qs 'This file is part of the GNU C Library' ${rh} ; then
- cp ${rh} ./
- more=true
- fi
- fi
- done
-done
-popd >/dev/null
-tar jcf ${A} ${P}
-
-einfo "Testing build"
-pushd ${P} >/dev/null
-make -s
-popd >/dev/null
-
-einfo "Cleaning up"
-rm -rf ${P} ${r}
-du -b ${A}
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2018-09-19 22:25 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-09-19 22:25 [gentoo-commits] repo/gentoo:master commit in: dev-util/debugedit/files/ Michał Górny
-- strict thread matches above, loose matches on Subject: below --
2017-10-20 7:45 Patrice Clement
2016-11-09 10:08 Lars Wendler
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox